Page MenuHomePhabricator

[LLDB][MIPS] Fix TestInferiorAssert.py for MIPS
ClosedPublic

Authored by nitesh.jain on Feb 11 2016, 2:00 AM.

Details

Reviewers
ovyalov
clayborg
Summary

The debug version of libc.so is require for backtracing which may not be available on all platforms.

Diff Detail

Repository
rL LLVM

Event Timeline

nitesh.jain retitled this revision from to [LLDB][MIPS] Fix TestInferiorAssert.py for MIPS.
nitesh.jain updated this object.
nitesh.jain added reviewers: clayborg, ovyalov.
nitesh.jain set the repository for this revision to rL LLVM.
nitesh.jain added subscribers: jaydeep, bhushan, slthakur and 2 others.
ovyalov added inline comments.Feb 11 2016, 2:37 PM
packages/Python/lldbsuite/test/functionalities/inferior-assert/TestInferiorAssert.py
22

Could you file a new bug for this issue and put its link into the decorator?

Updated as per suggestion.

Not going to block the change over this, but just as an fyi, you can
specify regexes without usign re.compile. You can literally just pass a
string that is a regex, it will still work

nitesh.jain marked an inline comment as done.Feb 12 2016, 12:45 AM

Thanks zturner.
Will update the diff as per suggestion.

Update the diff as per suggestion.

ovyalov accepted this revision.Feb 12 2016, 9:23 AM
ovyalov edited edge metadata.

LGTM

This revision is now accepted and ready to land.Feb 12 2016, 9:23 AM
clayborg accepted this revision.Feb 12 2016, 10:08 AM
clayborg edited edge metadata.
slthakur closed this revision.Feb 26 2016, 5:35 AM

Committed in revision 262011.